The XMLDiff\File class

- « XMLDiff\Memory::merge

- XMLDiff\File::diff »

- PHP Manual
- XMLDiff
- The XMLDiff\File class

# The XMLDiff\File class

(PECL xmldiff >= 0.8.0)

## Introduction

## Class synopsis

class XMLDiff\File extends XMLDiff\Base {
/* Methods */
public diff(string `$from`, string `$to`): string
public merge(string `$src`, string `$diff`): string
/* Inherited methods */
abstract public XMLDiff\Base::diff(mixed `$from`, mixed `$to`): mixed
abstract public XMLDiff\Base::merge(mixed `$src`, mixed `$diff`): mixed
}

## Table of Contents

- XMLDiff\File::diff — Diff two XML files
- XMLDiff\File::merge — Produce merged XML document